# Created by pyp2rpm-3.3.7
%global pypi_name cchardet
%global commitId 13076a3ab134c089b3460189a7d01d15b3f40f61

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        2.1.7
Release:        5%{?dist}
Summary:        cChardet is high speed universal character encoding detector

License:        Mozilla Public License
URL:            https://github.com/PyYoshi/cChardet
Source0:        python-cchardet-13076a3ab134c089b3460189a7d01d15b3f40f61.tar.gz
Source1:        uchardet-bdb8a0376ddf5d3cab6397be0bad98dad106d77f.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  python%{python3_pkgversion}-Cython
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
%{summary}


%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}


%description -n python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%autosetup -n python-%{pypi_name}-%{commitId}
tar -C src/ext/uchardet --strip-component=1 -xf %{SOURCE1}


%build
%py3_build


%install
%py3_install


%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.rst src/ext/uchardet/README.md src/ext/uchardet/doc/README.maintainer
%exclude %{_bindir}/cchardetect
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Dec 14 2022 Dimitri Savineau <dsavinea@redhat.com> - 2.1.7-5
- Rebuild for multiarch

* Mon Jun 13 2022 Odilon Sousa <osousa@redhat.com> - 2.1.7-4
- Exclude files in bin for a better upgrade from python38 to python39 and removes Obsolete

* Mon May 23 2022 Odilon Sousa <osousa@redhat.com> - 2.1.7-3
- Obsolete the old Python 3.8 package for smooth upgrade

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 2.1.7-2
- Build against python 3.9

* Tue Feb 08 2022 Odilon Sousa <osousa@redhat.com> - 2.1.7-1
- Initial package.
